Searched refs:tests (Results 1 - 14 of 14) sorted by relevance

/ast/src/cmd/tests/
H A DMakefile2 * regression tests for library functions
3 * `tests' runs all tests visible from .. with output in tests.out
56 : only tests in this directory : nothing to install :
/ast/src/cmd/INIT/
H A Drt.sh81 integer tests errors signals lineno=0 skip=0
84 function results # tests errors signals
97 else label=tests
178 test|tests)
179 tests=$1
184 results $tests $errors
188 results $tests $errors
206 results $tests $errors $signals
210 tests=0
229 results $tests
[all...]
H A DTEST.mk34 if "$("tests":T=FD)"
35 .SOURCE : tests
163 error 1 :DLL: tests skipped
H A Dmktest.sh93 [+UMASK [ \amask\a ]]?Run subsequent tests with \bumask\b(1)
631 then echo ${UNIT[0]} tests PASSED
633 else echo ${UNIT[0]} tests FAILED
H A Dregress.sh20 : regress - run regression tests in command.tst
29 [+NAME?regress - run regression tests]
30 [+DESCRIPTION?\bregress\b runs the tests in \aunit\a, or
50 [q:quiet?Output information on \bFAILED\b tests only.]
53 [t:test?Run only tests matching \apattern\a. Tests are numbered and
66 [+BODY \b{ ... }?Defines the test body; used for complex tests.]
70 temporary directory \aunit\a\b.tmp\b, list the tests totals via
113 0 then tests until the next \bELIF\b, \bELSE\b or \bFI\b are
114 enabled. Otherwise those tests are skipped. \bIF\b ... \bFI\b
145 tests
[all...]
/ast/src/cmd/ksh93/tests/
H A Dmath.sh44 compound -r -a tests=(
79 for (( i=0 ; i < ${#tests[@]} ; i++ )) ; do
112 nameref tst=tests[i]
177 typeset -r -a tests=(
190 for (( i=0 ; i < ${#tests[@]} ; i++ )) ; do
191 str="$( ${SHELL} -o errexit -c "${tests[i]}" 2>&1 )" || err_exit "test $i: returned non-zero exit code $?"
198 # run tests
H A Dstatics.sh57 # test1: basic tests
90 test_t -r -a tests=(
638 for (( i=0 ; i < ${#tests[@]} ; i++ )) ; do
639 nameref currtest=tests[i]
652 # run tests
H A Darith.sh374 tests=$*
384 [[ $tests == *1* ]] && {
390 [[ $tests == *2* ]] && {
394 [[ $tests == *3* ]] && {
399 [[ $tests == *4* ]] && {
405 [[ $tests == *5* ]] && {
410 [[ $tests == *6* ]] && {
413 [[ $tests == *7* ]] && {
H A Dcomvario.sh375 compound -r -a tests=(
417 for testid in "${!tests[@]}" ; do
418 nameref test=tests[testid]
442 typeset -r -a tests=(
450 for (( i=0 ; i < ${#tests[@]} ; i++ )) ; do
451 out.stderr="${ { out.stdout="${ ${SHELL} -o nounset -c "${tests[i]}" ; (( out.res=$? )) ; }" ; } 2>&1 ; }"
465 typeset -r -a tests=(
470 for (( i=0 ; i < ${#tests[@]} ; i++ )) ; do
471 out.stderr="${ { out.stdout="${ ${SHELL} -o nounset -c "${tests[i]}" ; (( out.res=$? )) ; }" ; } 2>&1 ; }"
545 # - The tests shoul
[all...]
H A Darrays2.sh186 compound -r -a tests=(
189 # 2D integer arrays: the following two tests crash for both "integer -s" and "integer"
196 for (( i=0 ; i < ${#tests[@]} ; i++ )) ; do
197 nameref tst=tests[i]
209 # run tests
H A Dcoprocess.sh36 then err_exit cygwin detected - coprocess tests disabled - enable at the risk of wedging your system
H A Dpty.sh22 # the trickiest part of the tests is avoiding typeahead
37 whence -q pty || { lineno=$LINENO; err_exit "pty command not found -- tests skipped"; exit 0; }
78 then err_exit pty command hangs on $bintrue -- tests skipped
/ast/src/cmd/pax/
H A Dtestpax.sh20 : pax tests
31 integer errors=0 tests=0
73 ((tests++))
153 TEST=$tests
159 ((tests++))
208 TEST=$tests
214 ((tests++))
233 TEST=$tests
246 ((tests++))
255 TEST=$tests
[all...]
/ast/src/cmd/ksh93/
H A DMakefile86 .SOURCE : edit sh bltins data tests fun
235 echo "make install to run the tests on the latest $(SH)" >&2
241 echo "make install to run the tests on the latest $(SH)" >&2

Completed in 38 milliseconds